/* 
 *   test_file_io.t - test of file I/O operations 
 */

#include "tads.h"
#include "t3.h"
//#include "bytearr.h"
//#include "file.h"
//#include "bignum.h"


//------- pseudo-tags --------

test_pseudotag_p()
{
	"Hi<.p>New para?<.p>Another new para?";
}

test_style_tags()
{
	local tags = [
		'P0',
		'reveal',
		'commandsep',
		//'convend', // --> runtime error
		'roomname',
		'roomdesc',
		'roompara',
		'assume',
		'announceObj',
		'convstay',
		'topics',
		'parser',
		'inputline',
		'commandbegin',
		'a',
		'statusroom',
		'statusscore',
		'notification',
		'commandint',
		'convnode'
	];
	
	for (local t in tags) {
		"Testing <<t>>: ";
		local s = 'Before<.' + t + '> in ' + t + ' <./' + t + '> after';
		try {
			"<<s>>";
		} catch (RuntimeError e) {
			// ends loop - not sure why :-(
			"*** RuntimeError";
		}
		"<hr>";
	}
}

